Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Interface TransientStateHelper

All Superinterfaces:
  TransientStateHolder

    public interface TransientStateHelper

extends TransientStateHolder

Define a `Map`-like contract that makes it easier for components to implement `TransientStateHolder`. Each `UIComponent` in the view will return an implementation of this interface from its `UIComponent.getTransientStateHelper()` method.

The values retrieved or saved through `getTransient(java.lang.Object)` or `putTransient(java.lang.Object, java.lang.Object)` will not be preserved between requests.

Since:
  2.1

Method Summary
`java.lang.Object` | `getTransient(java.lang.Object key)` Return the value currently associated with the specified `key` if any.
`java.lang.Object` | `getTransient(java.lang.Object key, java.lang.Object defaultValue)` Performs the same logic as `getTransient(java.lang.Object)` } but if no value is found, this will return the specified `defaultValue`
`java.lang.Object` | `putTransient(java.lang.Object key, java.lang.Object value)` Return the previously stored value and store the specified key/value pair.

Methods inherited from interface javax.faces.component.TransientStateHolder
`restoreTransientState, saveTransientState`

Method Detail

### getTransient

    java.lang.Object getTransient(java.lang.Object key)

  Return the value currently associated with the specified `key` if any.

  Parameters:
    `key` - the key for which the value should be returned.
  Since:
    2.1

### getTransient

    java.lang.Object getTransient(java.lang.Object key,
                                  java.lang.Object defaultValue)

  Performs the same logic as `getTransient(java.lang.Object)` } but if no value is found, this will return the specified `defaultValue`

  Parameters:
    `key` - the key for which the value should be returned.
    `defaultValue` - the value to return if no value is found in the call to `get()`.
  Since:
    2.1

### putTransient

    java.lang.Object putTransient(java.lang.Object key,
                                  java.lang.Object value)

  Return the previously stored value and store the specified key/value pair. This is intended to store data that would otherwise reside in an instance variable on the component.

  Parameters:
    `key` - the key for the value
    `value` - the value
  Since:
    2.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.